package com.mx.dla.dda.reporte.amortizacion.dtos;

import java.io.Serializable;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class ReporteAmortizacionDTO extends BaseDTO implements Serializable{
	
	
	private static final long serialVersionUID = 1L;
	
	private Long          identificador;
	private String        descripcion;
	private List<String>  valoresMensual;
	private List<Integer> metadatos;
	private List<ReporteAmortizacionDTO> sgdoNivel;
	
	public Long getIdentificador() {
		return identificador;
	}
	public void setIdentificador(Long identificador) {
		this.identificador = identificador;
	}
	public String getDescripcion() {
		return descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	public List<String> getValoresMensual() {
		return valoresMensual;
	}
	public void setValoresMensual(List<String> valoresMensual) {
		this.valoresMensual = valoresMensual;
	}
	public List<Integer> getMetadatos() {
		return metadatos;
	}
	public void setMetadatos(List<Integer> metadatos) {
		this.metadatos = metadatos;
	}
	public List<ReporteAmortizacionDTO> getSgdoNivel() {
		return sgdoNivel;
	}
	public void setSgdoNivel(List<ReporteAmortizacionDTO> sgdoNivel) {
		this.sgdoNivel = sgdoNivel;
	}
			
}
